Package oasis.names.tc.saml._1_0.protocol

# Class AuthenticationQuery

java.lang.Object
oasis.names.tc.saml._1_0.protocol.QueryAbstractType
oasis.names.tc.saml._1_0.protocol.SubjectQueryAbstractType
oasis.names.tc.saml._1_0.protocol.AuthenticationQuery

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class AuthenticationQuery extends SubjectQueryAbstractType implements Serializable

Java class for AuthenticationQueryType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AuthenticationQueryType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:1.0:protocol}SubjectQueryAbstractType">
           <attribute name="AuthenticationMethod" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthenticationQuery()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAuthenticationMethod()`
  Gets the value of the authenticationMethod property.
  `void`
  `setAuthenticationMethod(String value)`
  Sets the value of the authenticationMethod property.

  ### Methods inherited from class oasis.names.tc.saml._1_0.protocol.SubjectQueryAbstractType

  `getSubject, setSubject`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthenticationQuery

    public AuthenticationQuery()

- ## Method Details

  - ### getAuthenticationMethod

    public String getAuthenticationMethod()
    Gets the value of the authenticationMethod property.
    Returns:
      possible object is `String`

  - ### setAuthenticationMethod

    public void setAuthenticationMethod(String value)
    Sets the value of the authenticationMethod property.
    Parameters:
      `value` - allowed object is `String`